# Amazon WorkDocs Developer Guide

-----
*****Copyright &copy;  Amazon Web Services, Inc. and/or its affiliates. All rights reserved.*****

-----
Amazon's trademarks and trade dress may not be used in 
     connection with any product or service that is not Amazon's, 
     in any manner that is likely to cause confusion among customers, 
     or in any manner that disparages or discredits Amazon. All other 
     trademarks not owned by Amazon are the property of their respective
     owners, who may or may not be affiliated with, connected to, or 
     sponsored by Amazon.

-----
## Contents
+ [What is Amazon WorkDocs?](what_is.md)
+ [Getting started](getting-started.md)
   + [Connect to Amazon WorkDocs with IAM user credentials and query for users](connect-workdocs-iam.md)
   + [Connect to Amazon WorkDocs by assuming a role and browse a user’s root folder](connect-workdocs-role.md)
   + [Upload a document](upload-documents.md)
   + [Download a document](download-documents.md)
   + [Subscribe to notifications](subscribe-notifications.md)
   + [Creating a new user](creating-newuser.md)
   + [Adding permissions to user on a resource](adding-permissions.md)
+ [Authentication and access control for administrative applications](creating-wd-iam.md)
   + [Grant permission to the Amazon WorkDocs API for a developer on the AWS account](wd-iam-sameacct.md)
   + [Grant permission to Amazon WorkDocs API for third-party developer AWS account](wd-iam-crossacct.md)
   + [Grant permission to a developer to assume an IAM role given by a Amazon WorkDocs customer](wd-iam-grantdev.md)
   + [Restricting access to a specific Amazon WorkDocs instance](restrict_access.md)
   + [Managing notifications for an IAM user or a role](manage-notifications.md)
+ [Authentication and access control for user applications](wd-auth-user.md)
+ [Amazon WorkDocs Content Manager](content_manager.md)
   + [Constructing Amazon WorkDocs Content Manager](content_manager_constructing.md)
   + [Downloading a document](content_manager_downloading.md)
   + [Uploading a document](content_manager_upload.md)
+ [AWS glossary](glossary.md)